Bug 460959 - Review Request: libkml - A KML library written in C++ with bindings to other languagues
Summary: Review Request: libkml - A KML library written in C++ with bindings to other ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-09-02 21:32 UTC by Rakesh Pandit
Modified: 2009-04-13 19:43 UTC (History)
4 users (show)

Fixed In Version: 0.6.1-2.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-04-12 18:51:34 UTC
lemenkov: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Rakesh Pandit 2008-09-02 21:32:24 UTC
Description:
Libkml is an implementation of the OGC KML 2.2 standard. is written in
C++ and bindings are available via SWIG to other languages. It can be
used in applications that want to parse, generate and operate on KML.


SPEC: http://rakesh.fedorapeople.org/spec/libkml.spec
SRPM: http://rakesh.fedorapeople.org/srpm/libkml-0.4.0-1.fc10.src.rpm


[rakesh@thulsadoom SRPMS]$ rpmlint libkml-0.4.0-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[rakesh@thulsadoom x86_64]$ rpmlint libkml-0.4.0-1.fc10.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[rakesh@thulsadoom x86_64]$ rpmlint libkml-debuginfo-0.4.0-1.fc10.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[rakesh@thulsadoom x86_64]$ rpmlint libkml-devel-0.4.0-1.fc10.x86_64.rpm 
libkml-devel.x86_64: E: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 1 errors, 0 warnings.

I am not sure why this last warning despite usr-lib has libkml folder containing *.so files.

Comment 1 Peter Lemenkov 2008-09-03 06:18:43 UTC
Nice addition to Fedora. I'll review it.

Comment 2 Rakesh Pandit 2008-10-01 15:03:04 UTC
Hi lemenkov, you may like to have you look here, when free :-)
Thanks

Comment 3 Peter Lemenkov 2008-10-01 15:46:23 UTC
Still here )
Sorry for the delay - I'll review it ASAP.

Comment 4 Peter Lemenkov 2008-10-05 07:15:27 UTC
Doesn't build at my F-9/ppc.

+ mv /var/tmp/libkml-0.4.0-1.fc9-root-petro/usr/lib/libkmlbase.so /var/tmp/libkml-0.4.0-1.fc9-root-petro/usr/lib/libkmlbase.so.0 /var/tmp/libkml-0.4.0-1.fc9-root-petro/usr/lib/libkmlbase.so.0.0.0 /var/tmp/libkml-0.4.0-1.fc9-root-petro/usr/lib/libkmlconvenience.so /var/tmp/libkml-0.4.0-1.fc9-root-petro/usr/lib/libkmlconvenience.so.0 /var/tmp/libkml-0.4.0-1.fc9-root-petro/usr/lib/libkmlconvenience.so.0.0.0 /var/tmp/libkml-0.4.0-1.fc9-root-petro/usr/lib/libkmldom.so /var/tmp/libkml-0.4.0-1.fc9-root-petro/usr/lib/libkmldom.so.0 /var/tmp/libkml-0.4.0-1.fc9-root-petro/usr/lib/libkmldom.so.0.0.0 /var/tmp/libkml-0.4.0-1.fc9-root-petro/usr/lib/libkmlengine.so /var/tmp/libkml-0.4.0-1.fc9-root-petro/usr/lib/libkmlengine.so.0 /var/tmp/libkml-0.4.0-1.fc9-root-petro/usr/lib/libkmlengine.so.0.0.0 /var/tmp/libkml-0.4.0-1.fc9-root-petro/usr/lib/libkmlregionator.so /var/tmp/libkml-0.4.0-1.fc9-root-petro/usr/lib/libkmlregionator.so.0 /var/tmp/libkml-0.4.0-1.fc9-root-petro/usr/lib/libkmlregionator.so.0.0.0 /var/tmp/libkml-0.4.0-1.fc9-root-petro/usr/lib/libminizip.so /var/tmp/libkml-0.4.0-1.fc9-root-petro/usr/lib/libminizip.so.0 /var/tmp/libkml-0.4.0-1.fc9-root-petro/usr/lib/libminizip.so.0.0.0 /var/tmp/libkml-0.4.0-1.fc9-root-petro/usr/lib/liburiparser.so /var/tmp/libkml-0.4.0-1.fc9-root-petro/usr/lib/liburiparser.so.1 /var/tmp/libkml-0.4.0-1.fc9-root-petro/usr/lib/liburiparser.so.1.0.5 /var/tmp/libkml-0.4.0-1.fc9-root-petro/usr/lib/libkml/
+ chrpath --delete /var/tmp/libkml-0.4.0-1.fc9-root-petro/usr/lib/libkml/libkmldom_swig_java.so.0.0.0
open: No such file or directory
elf_open: Illegal seek
error: Bad exit status from /var/tmp/rpm-tmp.60804 (%install)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.60804 (%install)
[petro@Sulaco SPECS]

Comment 5 Rakesh Pandit 2008-10-05 08:02:50 UTC
It wouldn't built for F-9, because dependencies are only available it F-10 or rawhide. Not for F-9 or F-8

Comment 6 Peter Lemenkov 2008-10-05 08:14:29 UTC
> because dependencies are only available it F-10 or
rawhide.

No, all dependencies were satisfied on my F9. Probaply you need to add minimal supported versions to dependencies, e.g. not only "BuildRequires: foo", but "BuildRequires: foo >= 1.2.3.4"

Comment 7 Rakesh Pandit 2008-10-05 08:19:04 UTC
# requires swig >= 1.3.35

yes, i will do that. Swig 1.3.35 is not available for F-9, so I wouldn't be making it available for F-9 anyway. 

Thanks

Comment 9 Rakesh Pandit 2008-10-20 10:22:41 UTC
ping

Comment 10 Peter Lemenkov 2008-10-23 08:03:10 UTC
I'm sorry, Rakesh, but I can't go further (at least until I'll find a box with F-10 installed). I'm releasing my fedora-review flags. If nobody will review this package, I'll restart the review process, but only after I'll update my working machine to F-10.

Comment 11 Rakesh Pandit 2008-10-23 08:18:37 UTC
No worries. I will wait for your update. In the meantime, if I can find someone then very good.

I hope you will update your box soon. ;-)
Thanks

Comment 12 Till Maas 2008-11-07 10:32:59 UTC
(In reply to comment #10)
> I'm sorry, Rakesh, but I can't go further (at least until I'll find a box with
> F-10 installed). I'm releasing my fedora-review flags. If nobody will review
> this package, I'll restart the review process, but only after I'll update my
> working machine to F-10.

You can use "koji build --scratch dist-f10 libkml-0.4.0-2.fc10.src.rpm" to make koji build the srpm for you for all primary archs.

Comment 13 Rakesh Pandit 2008-12-06 13:44:56 UTC
Peter Lemenkov - interested now ? F10 is already out. :-)

Comment 14 Peter Lemenkov 2008-12-06 18:45:22 UTC
I'll review it )

Comment 15 Peter Lemenkov 2009-01-05 21:43:36 UTC
REVIEW:

- rpmlint is not silent:

[petro@Sulaco SPECS]$ rpmlint ~/downloaded/libkml-*
libkml-devel.ppc: E: only-non-binary-in-usr-lib
4 packages and 0 specfiles checked; 1 errors, 0 warnings.
[petro@Sulaco SPECS]$ 

I think this should be ignored. However I didn't checked whether I can build samples provided. %{__docdir}/libkml-devel-0.4.0/examples ). Another one thing I found questionable is the existence of "third_party" directory in %{__includedir} - we shouldn't allow user to build something against our version of boost.

+ The package is be named according to the Package Naming Guidelines .
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines .
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines .
+ The License field in the package spec file matches the actual license.
+ The file, containing the text of the license(s) for the package is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package matching the upstream source, as provided in the spec URL.

[petro@Sulaco SOURCES]$ md5sum libkml-0.4.0.tar.gz*
c6317783cec04f2e2dd992b0dd95c028  libkml-0.4.0.tar.gz
c6317783cec04f2e2dd992b0dd95c028  libkml-0.4.0.tar.gz.srpm
[petro@Sulaco SOURCES]$

+ The package successfully compiles and build into binary rpms on at least one primary architecture.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1033826

+ All build dependencies are listed in BuildRequires.
+ No need to handle locales
+ The package calls ldconfig in %post and %postun.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ the package does not contain any duplicate files in the %files listing.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT .
+ The package consistently uses macros, as described in the macros section of Packaging Guidelines .
+ The package contains code, or permissable content.
+ No large documentation files
+ Everithing, the package includes as %doc, does not affect the runtime of the application. 
+ Header files are in a -devel package.
+ No static libraries.
+ No pkgconfig(.pc) files
+ The library files that ends in .so (without suffix) are in a -devel package.
+ devel packages requires the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
+ The package does NOT contain any .la libtool archives.
+ Not a GUI application
+ The package does not own files or directories already owned by other packages. 
+  At the beginning of %install, the package runs rm -rf $RPM_BUILD_ROOT.
+  All filenames in rpm packages are valid UTF-8.

So, please, resolve issue with third party libraries (I suspect that it even builds against shipped boost) and I'll continue.

Comment 16 Rakesh Pandit 2009-01-09 03:48:42 UTC
>So, please, resolve issue with third party libraries (I suspect that it even
>builds against shipped boost) and I'll continue.

I had a good interaction upstream(on ML as well as chat) regarding this. And they wanted the third part folder containing particular versions of few dependencies to be there for now, at least till major version change.

I even packaged 1 of missing onces which I maintain now, but they were strickly against pointing to outside that third folder.

All these are Free software, so I guess it should not be a problem. Putting an extra effort in modifying there build system and even if it works and later on we get bugs against which upstream refuses to except would be bad.

So, I would like to keep this third folder till upstream wishes it be there.

Comment 18 Rakesh Pandit 2009-01-21 07:11:44 UTC
ping Peter, around ?

Comment 19 Peter Lemenkov 2009-01-21 10:58:57 UTC
Will review during this week (probably). Unfortunately, I have no access to internet at home.

Comment 20 Rakesh Pandit 2009-03-07 09:30:17 UTC
Thanks for your patch http://peter.fedorapeople.org/libkml-third_party_removal.diff

Will update.

Comment 22 Peter Lemenkov 2009-03-07 15:12:04 UTC
OK, good. Since there was no other issues, except the only one with 3rd-party libraries,  this package is

APPROVED.

Comment 23 Rakesh Pandit 2009-03-07 15:23:44 UTC
New Package CVS Request
=======================
Package Name: libkml
Short Description: A KML library written in C++ with bindings to other languagues
Owners: rakesh
Branches: F-9 F-10
InitialCC:
Cvsextras Commits: yes

Comment 24 Kevin Fenzi 2009-03-07 17:00:21 UTC
cvs done, with the exception of F-9 branch (per IRC conversation, this doesn't build on F-9).

Comment 25 Fedora Update System 2009-03-15 15:32:01 UTC
libkml-0.6.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/libkml-0.6.1-2.fc10

Comment 26 Fedora Update System 2009-03-16 19:52:56 UTC
libkml-0.6.1-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libkml'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2772

Comment 27 Fedora Update System 2009-04-13 19:43:10 UTC
libkml-0.6.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.